Gentoo Archives: gentoo-dev

From: "Tomáš Chvátal" <scarabeus@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] Re: [gentoo-commits] gentoo-x86 commit in net-analyzer/wireshark: wireshark-1.6.2.ebuild ChangeLog wireshark-1.4.9.ebuild wireshark-1.4.7.ebuild wireshark-1.6.0_rc1.ebuild wireshark-1.4.4.ebuild wireshark-1.4.6-r1.ebuild
Date: Tue, 13 Sep 2011 09:47:15
Message-Id: CA+Nrkpe6_6_V-+MSsDsoS6P4m6Q93RqQO+5cCrOOv9kMynJ_zg@mail.gmail.com
In Reply to: [gentoo-dev] Re: [gentoo-commits] gentoo-x86 commit in net-analyzer/wireshark: wireshark-1.6.2.ebuild ChangeLog wireshark-1.4.9.ebuild wireshark-1.4.7.ebuild wireshark-1.6.0_rc1.ebuild wireshark-1.4.4.ebuild wireshark-1.4.6-r1.ebuild by Markos Chandras
2011/9/13 Markos Chandras <hwoarang@g.o>:
> On 12/09/2011 09:55 μμ, Peter Volkov (pva) wrote: >> pva         11/09/12 18:55:52 >> >> Modified:             ChangeLog Added: >> wireshark-1.6.2.ebuild wireshark-1.4.9.ebuild Removed: >> wireshark-1.4.7.ebuild wireshark-1.6.0_rc1.ebuild >> wireshark-1.4.4.ebuild wireshark-1.4.6-r1.ebuild Log: Version bump. >> Fixes security bug #381551, thank GLSAMaker/CVETool Bot. Added >> 1.6.2, bug #370683. 1.6.2 also fixes bug 373545 wrt Francesco >> Lamonica. Drop old. >> >> ... !!<net-analyzer/wireshark-1.6.0_rc1" > > Why is wireshark blocking itself on DEPEND? is this a known bug that > prevents normal update from old to new version? It is a bit odd to > have to remove the existing installation in order to update to a new one > > - -- > Regards, > Markos Chandras / Gentoo Linux Developer / Key ID: B4AFF2C2
Actually this s**t happens a lot, due to broken build system the package links to the already in-system packages and use headers from system. So one has to block the major versions to avoid the breakages during the build Cheers Tom